Skip to main content
GET
/
v1
/
report
/
insight
/
demand-mix
/
campaign
/report/insight/demand-mix/campaign
curl --request GET \
  --url https://api.tagdeliver.com/v1/report/insight/demand-mix/campaign \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tagdeliver.com/v1/report/insight/demand-mix/campaign"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tagdeliver.com/v1/report/insight/demand-mix/campaign', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "results": {
    "currency": "GBP",
    "dates": [
      "2025-11-24"
    ],
    "campaigns": {
      "Cboe - Sep25": {
        "revenue": [
          1108.665
        ],
        "impressions": [
          147822
        ],
        "demand": "publisher"
      },
      "Blockthrough - Prebid": {
        "revenue": [
          3.3096
        ],
        "impressions": [
          2103
        ],
        "demand": "ci"
      }
    },
    "campaignList": [
      {
        "campaign_id": 3200208619,
        "campaign_name": "Blockthrough - Prebid",
        "publisher": "example.com",
        "demand": "CI",
        "start_date": "2024-04-26",
        "end_date": "2025-11-24",
        "status": "live"
      },
      {
        "campaign_id": 3857875424,
        "campaign_name": "Cboe - Sep25",
        "publisher": "example.com",
        "demand": "Publisher",
        "start_date": "2025-10-01",
        "end_date": "2025-11-24",
        "status": "live"
      }
    ]
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uid
integer

Publisher ID

range
enum<string>

Date range. All ranges exclude today and run up to yesterday

Available options:
custom,
all_time,
seven_days,
fourteen_days,
thirty_days,
three_months,
six_months,
week_to_date,
month_to_date,
quarter_to_date,
year_to_date,
last_week,
last_month,
last_quarter,
last_year,
month_on_month,
quarter_on_quarter,
yesterday
start
string<date>

Start date when range=custom

end
string<date>

End date when range=custom

date_group
enum<string>
default:day

Date grouping when range=custom

Available options:
day,
month,
year
rev_type
enum<string>
default:gross

Revenue type

Available options:
gross,
net
environment
enum<string>
default:all

Environment or platform to report from

Available options:
all,
app,
web

Response

200 - application/json
results
object
required
success
boolean
required